# Code and data to accompany 'Short-term effect of temperature and rainfall on the incidence of West Nile Neuroinvasive Disease in Europe: a multi-country case-crossover analysis'

#### Authors:

Giovenale Moirano, MD-PhD ([ORCID](https://orcid.org/0000-0002-0009-5770))\
Chloe Fletcher, MSc
Jan C. Semenza, PhD  ([ORCID](https://orcid.org/0000-0002-4625-874X))\
Rachel Lowe, PhD ([ORCID](https://orcid.org/0000-0003-3939-7343))

Contact information: [giovenale.moirano@bsc.es](giovenale.moirano@bsc.es)

Date of creation: 18 June 2024

### Description

This repository includes the code and data to reproduce the analysis of 'Short-term effect of temperature and rainfall on the incidence of West Nile Neuroinvasive Disease in Europe: a multi-country case-crossover analysis'.

The repository is divided as follows:

1. Data
2. Functions
3. Scripts
4. Shapefiles 

1. Data 

This folder contains:
-  Aggregated Cases of West Nile Neuroinvasive Disease across Europe to reproduce Figure 1 of the
manuscript.
- Simulated dataset of West Nile Neuroinvasi Disease across 4 regions belonging to 2 different countries to reporduce Figure 2,3,4 and Table 1 of the Manuscript.

2. Functions

This Folder contains:
-"tssc_sampling.R" function to create a Case Crossover dataset starting from a Linelist of cases
- "attrdl.R" function to compute Attributable Fraction of cases  from distributed lag nonlinear models

3. Scripts

This Folder contains:
- 0.Descriptive_cases.R code to produce Figure 1 of the manuscript. 
- 1.From_Cases_To_Case_Crossover.R code to create the Case Crossover dataset starting from the simulated dataset. 
- 2.Exp_res_health_impact.R code to reprodue Fig 2,3,4. 
- 3.Two_stage_country_specific.R code to reproduce Table 1. 

Note that Scripts 1,2,3 are applied to a simplified simulated dataset and results will slightly differ from the ones presented in the manuscript.


4. Shapefiles 

This folder contains the shapefile of Europe at NUTS3 level to reproduce Fig.1 
